--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: create
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Class object used only for initializing derived DiscreteMediaType objects.
constants: []

full_name: MIME::DiscreteMediaFactory
includes: 
- !ruby/object:RI::IncludedModule 
  name: ContentTypes
instance_methods: []

name: DiscreteMediaFactory
superclass: Object
